Skip to main content
GET
/
api
/
service-specs
/
{id}
Get a service spec by ID.
curl --request GET \
  --url https://api.rigbox.dev/api/service-specs/{id} \
  --header 'Authorization: Bearer <token>'
{
  "auto_enable": true,
  "created_at": "<string>",
  "env_vars": {},
  "exec_start": "<string>",
  "id": "<string>",
  "name": "<string>",
  "restart_policy": "<string>",
  "source": "<string>",
  "systemd_unit_preview": "<string>",
  "updated_at": "<string>",
  "user_id": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Service spec ID

Response

200 - application/json

Service spec details

auto_enable
boolean
required
created_at
string
required
env_vars
object
required
exec_start
string
required
id
string
required
name
string
required
restart_policy
string
required
source
string
required
systemd_unit_preview
string
required

Preview of the systemd unit that would be generated

updated_at
string
required
user_id
string
required